gstreamermm: Gst::Enums Namespace Reference

gstreamermm 1.10.0

Functions
Gst::Enums Namespace Reference

## Functions
Glib::ustring | get_name (State state)
| Gets a string representing the given state. More...
Glib::ustring | get_name (StateChangeReturn state_ret)
| Gets a string representing the given state change result. More...
Glib::ustring | get_name (EventType type)
| Gets a printable name for the given event type. More...
Glib::QueryQuark | get_quark (EventType type)
| Gets the unique quark for the given event type. More...
EventTypeFlags | get_flags (EventType type)
| Gets the Gst::EventTypeFlags associated with type. More...
Glib::ustring | get_name (Format format)
| Gets a printable name for the given format. More...
Glib::QueryQuark | get_quark (Format format)
| Gets the unique quark for the given format. More...
Glib::ustring | get_name (MessageType type)
| Gets a printable name for the given message type. More...
Glib::QueryQuark | get_quark (MessageType type)
| Gets the unique quark for the given message type. More...
Glib::ustring | get_name (QueryType type)
| Gets a printable name for the given query type. More...
Gst::QueryTypeFlags | get_flags (QueryType type)
| Gets the Gst::QueryTypeFlags associated with type. More...
Glib::QueryQuark | get_quark (QueryType type)
| Gets the unique quark for the given query type. More...
Glib::ustring | get_name (VideoChromaSite site)
| Converts site to its string representation. More...
VideoChromaSite | video_chroma_site_from_string (const Glib::ustring& s)
| Convert s to a Gst::VideoChromaSite. More...

## Function Documentation

## ◆ get_flags() [1/2]

Gst::QueryTypeFlags Gst::Enums::get_flags | ( | QueryType | type | ) |

Gets the Gst::QueryTypeFlags associated with type.

Parameters

  type | a Gst::QueryType.

Returns
  a Gst::QueryTypeFlags;

## ◆ get_flags() [2/2]

EventTypeFlags Gst::Enums::get_flags | ( | EventType | type | ) |

Gets the Gst::EventTypeFlags associated with type.

Parameters

  type | A Gst::EventType.

Returns
  A Gst::EventTypeFlags.

## ◆ get_name() [1/7]

Glib::ustring Gst::Enums::get_name | ( | Format | format | ) |

Gets a printable name for the given format.

Do not modify or free.

Parameters

  format | A Gst::Format.

Returns
  The name of the format or an empty string if the format is unknown.

## ◆ get_name() [2/7]

Glib::ustring Gst::Enums::get_name | ( | VideoChromaSite | site | ) |

Converts site to its string representation.

Parameters

  site | A Gst::VideoChromaSite.

Returns
  a string describing site.

## ◆ get_name() [3/7]

Glib::ustring Gst::Enums::get_name | ( | State | state | ) |

Gets a string representing the given state.

Parameters

  state | A Gst::State to get the name of.

Returns
  A Glib::ustring with the name of the state.

Examples:
  basics/bus.cc.

## ◆ get_name() [4/7]

Glib::ustring Gst::Enums::get_name | ( | StateChangeReturn | state_ret | ) |

Gets a string representing the given state change result.

Parameters

  state_ret | A Gst::StateChangeReturn to get the name of.

Returns
  A Glib::ustring with the name of the state change result.

## ◆ get_name() [5/7]

Glib::ustring Gst::Enums::get_name | ( | QueryType | type | ) |

Gets a printable name for the given query type.

Parameters

  type | The query type.

Returns
  The name of the query.

## ◆ get_name() [6/7]

Glib::ustring Gst::Enums::get_name | ( | MessageType | type | ) |

Gets a printable name for the given message type.

Parameters

  type | The message type.

Returns
  The name of the message type.

## ◆ get_name() [7/7]

Glib::ustring Gst::Enums::get_name | ( | EventType | type | ) |

Gets a printable name for the given event type.

Parameters

  type | The event type.

Returns
  A reference to the static name of the event.

## ◆ get_quark() [1/4]

Glib::QueryQuark Gst::Enums::get_quark | ( | Format | format | ) |

Gets the unique quark for the given format.

Parameters

  format | A Gst::Format.

Returns
  The quark associated with the format or 0 if the format is unknown.

## ◆ get_quark() [2/4]

Glib::QueryQuark Gst::Enums::get_quark | ( | QueryType | type | ) |

Gets the unique quark for the given query type.

Parameters

  type | The query type.

Returns
  The quark associated with the query type.

## ◆ get_quark() [3/4]

Glib::QueryQuark Gst::Enums::get_quark | ( | MessageType | type | ) |

Gets the unique quark for the given message type.

Parameters

  type | The message type.

Returns
  The quark associated with the message type.

## ◆ get_quark() [4/4]

Glib::QueryQuark Gst::Enums::get_quark | ( | EventType | type | ) |

Gets the unique quark for the given event type.

Parameters

  type | The event type.

Returns
  The quark associated with the event type.

## ◆ video_chroma_site_from_string()

VideoChromaSite Gst::Enums::video_chroma_site_from_string | ( | const Glib::ustring & | s | ) |

Convert s to a Gst::VideoChromaSite.

Parameters

  s | A chromasite string.

Returns
  A Gst::VideoChromaSite or Gst::VIDEO_CHROMA_SITE_UNKNOWN when s does not contain a valid chroma description.